std::literals::chrono_literals::operator""h(3)

NAME
std::literals::chrono_literals::operator""h - std::literals::chrono_literals::operator""h

Synopsis
   Defined in header <chrono>
   constexpr chrono::hours operator "" h(unsigned long long hrs); (1) (since C++14)
   constexpr chrono::duration</*unspecified*/, std::ratio<3600,1>> (2) (since C++14)
   operator "" h(long double hrs);
   Forms a std::chrono::duration literal representing hours.
   1) integer literal, returns exactly std::chrono::hours(hrs)
   2) floating-point literal, returns a floating-point duration equivalent to
   std::chrono::hours

Parameters
   hrs - the number of hours

Return value
   The std::chrono::duration literal.

Possible implementation
   constexpr std::chrono::hours operator ""h(unsigned long long h)
   {
       return std::chrono::hours(h);
   }
   constexpr std::chrono::duration<long double, ratio<3600,1>> operator ""h(long double h)
   {
       return std::chrono::duration<long double, std::ratio<3600,1>>(h);
   }

Notes
   These operators are declared in the namespace std::literals::chrono_literals, where
   both literals and chrono_literals are inline namespaces. Access to these operators
   can be gained with using namespace std::literals, using namespace
   std::chrono_literals, and using namespace std::literals::chrono_literals.
   In addition, within the namespace std::chrono, the directive using namespace
   literals::chrono_literals; is provided by the standard library, so that if a
   programmer uses using namespace std::chrono; to gain access to the classes in the
   chrono library, the corresponding literal operators become visible as well.

Example

// Run this code
 #include <iostream>
 #include <chrono>
 int main()
 {
     using namespace std::chrono_literals;
     auto day = 24h;
     auto halfhour = 0.5h;
     std::cout << "one day is " << day.count() << " hours\n"
               << "half an hour is " << halfhour.count() << " hours\n";
 }

Output:
 one day is 24 hours
 half an hour is 0.5 hours

See also
   constructor constructs new duration
                 (public member function of std::chrono::duration<Rep,Period>)